using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class UpgradeSlowZone : UpgradeButton {

	protected override int CostForLevel() {
		return (int)(100 * Mathf.Pow(2, (gm.slowZoneEffectiveness)));
	}

	override public void Clicked() {
		if(gm.score < CostForLevel())
			return;

		gm.score -= CostForLevel();

		gm.slowZoneEffectiveness += 0.1f;
	}

	override protected string UpgradeName() {
		return "Increase Ice Patch effect to "+ (gm.slowZoneEffectiveness*100f).ToString("f0") +"% slower.";
	}

}
